
Foreman - Task #23445

Tracker # 23446 (New): Change foreman to SPA (Single Page Application)

Change vertical menu to react implementation

04/30/2018 06:54 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Gilad Lekner   

Category: Web Interface   

Target version: 1.20.0   

Pull request: https://github.com/theforeman/foreman/p

ull/5898

Found in Releases:  

Fixed in Releases: 1.20.0   

Description

switch to react based implementation vertical navigation, this should use existing patternfly-react implementation

Related issues:

Related to Foreman - Feature #23550: Menu items should render as json Closed 05/09/2018

Related to Foreman - Bug #25201: navigation to new page does not stop pending... New

Related to Foreman - Bug #25346: User with restricted permissions sees all me... Closed

Related to Foreman - Bug #26394: when changing location user looses all navig... Closed

Related to Foreman - Bug #26052: Vertical navigation missing IDs Closed

Related to Foreman - Bug #26609: TopbarSweeper caching empty div Closed

Associated revisions

Revision a88bc000 - 10/07/2018 02:28 PM - Gilad Lekner 

Fixes #23445, #21566, #23448 - Refactor Layout to PF

History

#1 - 04/30/2018 06:57 AM - Ohad Levy

- Parent task set to #23446

#2 - 04/30/2018 08:10 AM - Ohad Levy

- Description updated

#3 - 05/09/2018 12:08 PM - Ohad Levy

- Related to Feature #23550: Menu items should render as json added

#4 - 05/24/2018 01:48 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5612 added

#5 - 07/31/2018 03:16 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5898 added

#6 - 08/23/2018 12:29 PM - Ohad Levy

- Pull request deleted (https://github.com/theforeman/foreman/pull/5612)

#7 - 10/07/2018 02:29 PM - Ohad Levy

- Target version set to 1.20.0

- Fixed in Releases 1.20.0 added

#8 - 10/07/2018 03:01 PM - Anonymous

- Status changed from New to Closed
https://rawgit.com/patternfly/patternfly-react/gh-pages/index.html?knob-Show%20Modal=true&selectedKind=Vertical%20Navigation&selectedStory=Items%20as%20JSX&full=0&addons=1&stories=1&panelRight=0&addonPanel=storybooks%2Fstorybook-addon-knobs


Applied in changeset a88bc000064e68502ed81ef08d5663d2037ec3c7.

#9 - 10/15/2018 08:59 AM - Tomer Brisker

- Related to Bug #25201: navigation to new page does not stop pending api requests on dashboard added

#10 - 10/30/2018 03:51 PM - Timo Goebel

- Related to Bug #25346: User with restricted permissions sees all menu items added

#11 - 10/31/2018 07:23 AM - Tomer Brisker

- Assignee set to Gilad Lekner

#12 - 03/18/2019 03:41 PM - Tomer Brisker

- Related to Bug #26394: when changing location user looses all navigation menus added

#13 - 03/18/2019 03:44 PM - Tomer Brisker

- Related to Bug #26052: Vertical navigation missing IDs added

#14 - 04/14/2019 01:55 PM - Ohad Levy

- Related to Bug #26609: TopbarSweeper caching empty div added
